import 'package:flutter/material.dart';

import 'constants.dart';
import 'states/graphs.dart';
import 'states/home_page.dart';
import 'states/plug_settings.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Home Server',
        theme: ThemeData(
          colorScheme: ColorScheme.fromSeed(seedColor: Constants.MAIN_COLOR),
          useMaterial3: true,
        ),
        home: const MyHomePage(title: 'Home Server'),
        routes: <String, WidgetBuilder>{
          '/plug_settings': (BuildContext context) => const PlugSettings(),
          '/graphs': (BuildContext context) => const Graphs(),
        });
  }
}
